Unable to run 3.0 project when using 3.1

samuelkueh

  • Posts: 1
Hi,

I was previously working on a project using Stencyl 3.0.
However, after I upgraded to 3.1, I was unable to Test Game using Flash Player.

The following error message was shown:
ArgumentError: Error #2015: Invalid BitmapData.
   at flash.display::BitmapData/ctor()
   at flash.display::BitmapData()
   at com.stencyl.graphics.transitions::BubblesTransition/start()[C:\Program Files (x86)\Stencyl\plaf\haxe\lib/stencyl/1,00/com/stencyl/graphics/transitions/BubblesTransition.hx:62]
   at com.stencyl::Engine/enterScene()[C:\Program Files (x86)\Stencyl\plaf\haxe\lib/stencyl/1,00/com/stencyl/Engine.hx:1792]
   at com.stencyl::Engine/onUpdate()[C:\Program Files (x86)\Stencyl\plaf\haxe\lib/stencyl/1,00/com/stencyl/Engine.hx:2705]

I was however, still able to test the same project using Android platform.

Does anyone also faces the same problem and knows how to overcome it?

Thank You

sanalimonova

  • Posts: 12
Did you manage to resolve this?
I am getting a similar issue, but I am able to test in flash, but not on an Android device.... it sais error, but does not specify what went wrong...

SadiQ

  • Posts: 1795
Did you manage to resolve this?
I am getting a similar issue, but I am able to test in flash, but not on an Android device.... it sais error, but does not specify what went wrong...
You should post a thread separated from this if you're not getting the same error message.
Proud member of the League of Idiotic Stencylers! Doing things in Stencyl that probably shouldn't be done.

Photon

  • Posts: 2691
   at flash.display::BitmapData/ctor()
@devs: is that a  code generation typo?
Do NOT PM me your questions, because I likely will not respond. If I have replied to your question on the forum, keep using that topic. Thanks!